## ros-kinetic-nmea-navsat-driver 0.5.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(nmea_navsat_driver)

find_package(catkin REQUIRED)

catkin_python_setup()
catkin_package()

install(PROGRAMS
   scripts/nmea_serial_driver
   scripts/nmea_socket_driver
   scripts/nmea_topic_driver
   scripts/nmea_topic_serial_reader
   DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

if (CATKIN_ENABLE_TESTING)
  find_package(roslint)
  roslint_python()
  roslint_add_test()
endif()

=== debian/changelog ===
ros-kinetic-nmea-navsat-driver (0.5.1-0xenial) xenial; urgency=high

  * Add support for IMU aided GPS systems like the Applanix POS/MV, whose NMEA strings typically begin '$IN'. (e.g. $INGGA). Add support for VTG messages, which contain Course Over Ground and Speed Made Good. These are useful when not using RMC messages and you don't have a heading sensor. (#30 <https://github.com/ros-drivers/nmea_navsat_driver/issues/30>/#58 <https://github.com/ros-drivers/nmea_navsat_driver/issues/58>)
  * Add a NMEA socket driver node, which is like the existing serial driver node, but instead of attaching to a TTY handle from a serial port, it listens to a UDP port for NMEA sentences. (#32 <https://github.com/ros-drivers/nmea_navsat_driver/issues/32>)
  * Add code to handle serial exception to allow node to exit cleanly (#52 <https://github.com/ros-drivers/nmea_navsat_driver/issues/52>)
  * Cleanup CMakeLists, package.xml; using package format 2. (#28 <https://github.com/ros-drivers/nmea_navsat_driver/issues/28>)
  * Update maintainer to Ed Venator (#38 <https://github.com/ros-drivers/nmea_navsat_driver/issues/38>)
  * Add GLONASS support
  * Updated driver to accept status of 9 which some novatel recievers report for a WAAS (SBAS) fix.
    See http://www.novatel.com/support/known-solutions/which-novatel-position-types-correspond-to-the-gga-quality-indicator/
  * Contributors: Ed Venator, Edward Venator, Eric Perko, Loy, Mike Purvis, Patrick Barone, Timo Röhling, Vikrant Shah

 -- Ed Venator <evenator@gmail.com>  Sun, 30 Dec 2018 05:00:00 -0000

ros-kinetic-nmea-navsat-driver (0.5.0-0xenial) xenial; urgency=high

  * Release to Jade.

 -- Eric Perko <eric@ericperko.com>  Thu, 23 Apr 2015 04:00:00 -0000

ros-kinetic-nmea-navsat-driver (0.4.2-0xenial) xenial; urgency=high

  * Fix remaining parse problem with NovAtel receivers (empty field specified for num_satellite).

 -- Eric Perko <eric@ericperko.com>  Thu, 23 Apr 2015 04:00:00 -0000

ros-kinetic-nmea-navsat-driver (0.4.1-0xenial) xenial; urgency=high

  * Add debug logging output to the parser (PR #8, Mike Purvis)
  * Add queue size arguement to publishers to fix warning on Indigo (PR #9, Mike Purvis)
  * Add support for roslint and some related cleanup (PR #10, Mike Purvis)

 -- Eric Perko <eric@ericperko.com>  Sun, 03 Aug 2014 04:00:00 -0000

ros-kinetic-nmea-navsat-driver (0.4.0-0xenial) xenial; urgency=high

  * Initial release for Indigo
  * Fix #5: Empty fields spam rosout with warnings. Driver now outputs sensor_msgs/NavSatFix messages that may contain NaNs in position and covariance when receiving invalid fixes from the device.

 -- Eric Perko <eric@ericperko.com>  Sun, 04 May 2014 04:00:00 -0000

ros-kinetic-nmea-navsat-driver (0.3.3-0xenial) xenial; urgency=high

  * Allow the driver to output velocity information anytime an RMC message is received

 -- Eric Perko <eric@ericperko.com>  Tue, 08 Oct 2013 04:00:00 -0000

ros-kinetic-nmea-navsat-driver (0.3.2-0xenial) xenial; urgency=high

  * Moved to nmea_navsat_driver package
  * Removed .py extensions from new-in-Hydro scripts
  * Now uses nmea_msgs/Sentence instead of custom sentence type
  * nmea_topic_driver reads the frame_id parameter from the sentence, not from the parameter server

 -- Eric Perko <eric@ericperko.com>  Sun, 21 Jul 2013 04:00:00 -0000

ros-kinetic-nmea-navsat-driver (0.3.1-0xenial) xenial; urgency=high

  * Removed incorrect find_package dependencies

 -- Eric Perko <eric@ericperko.com>  Tue, 07 May 2013 04:00:00 -0000

ros-kinetic-nmea-navsat-driver (0.3.0-0xenial) xenial; urgency=high

  * Initial release for Hydro
  * Converted to Catkin
  * nmea_gps_driver.py is now deprecated and will be removed in I-Turtle. Replacement node is nmea_serial_driver.py .
  * Refactored code into NMEA parser, common ROS driver and separate nodes for reading directly from serial or from topic.
  * Bugs fixed:
    - nmea_gps_driver crashes when a sentence doesn't have a checksum * character ( http://kforge.ros.org/gpsdrivers/trac/ticket/4 )
    - Add ability for nmea_gps_driver to support reading from string topic ( https://github.com/ros-drivers/nmea_gps_driver/issues/1 ). Use the nmea_topic_driver.py node to get this support.

 -- Eric Perko <eric@ericperko.com>  Sun, 05 May 2013 04:00:00 -0000

ros-kinetic-nmea-navsat-driver (0.2.0-0xenial) xenial; urgency=high

  * Initial version (released into Fuerte)
  * Supports GGA or RMC+GSA sentences to generate sensor_msgs/NavSatFix messages

 -- Eric Perko <eric@ericperko.com>  Thu, 15 Mar 2012 04:00:00 -0000

=== debian/control ===
Source: ros-kinetic-nmea-navsat-driver
Section: misc
Priority: extra
Maintainer: Ed Venator <evenator@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-roslint
Homepage: http://ros.org/wiki/nmea_navsat_driver
Standards-Version: 3.9.2

Package: ros-kinetic-nmea-navsat-driver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-serial, ros-kinetic-geometry-msgs, ros-kinetic-nmea-msgs, ros-kinetic-rospy, ros-kinetic-sensor-msgs
Description: Package to parse NMEA strings and publish a very simple GPS message.
 Does not require or use the GPSD deamon.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-nmea-navsat-driver//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
